Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SoftChorus

    java.lang.Object
      com.sun.media.sound.SoftChorus

All Implemented Interfaces:
  SoftAudioProcessor

    public class SoftChorus

extends java.lang.Object
implements SoftAudioProcessor

A chorus effect made using LFO and variable delay. One for each channel (left,right), with different starting phase for stereo effect.

Author:
  Karl Helgason

Constructor Summary
`SoftChorus()`

Method Summary
`void` | `globalParameterControlChange(int[] slothpath, long param, long value)`
`void` | `init(float samplerate, float controlrate)`
`void` | `processAudio()`
`void` | `processControlLogic()`
`void` | `setInput(int pin, SoftAudioBuffer input)`
`void` | `setMixMode(boolean mix)`
`void` | `setOutput(int pin, SoftAudioBuffer output)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftChorus

    public SoftChorus()

Method Detail

### init

    public void init(float samplerate,
                     float controlrate)

  Specified by:
    `init` in interface `SoftAudioProcessor`

### globalParameterControlChange

    public void globalParameterControlChange(int[] slothpath,
                                             long param,
                                             long value)

  Specified by:
    `globalParameterControlChange` in interface `SoftAudioProcessor`

### processControlLogic

    public void processControlLogic()

  Specified by:
    `processControlLogic` in interface `SoftAudioProcessor`

### processAudio

    public void processAudio()

  Specified by:
    `processAudio` in interface `SoftAudioProcessor`

### setInput

    public void setInput(int pin,
                         SoftAudioBuffer input)

  Specified by:
    `setInput` in interface `SoftAudioProcessor`

### setMixMode

    public void setMixMode(boolean mix)

  Specified by:
    `setMixMode` in interface `SoftAudioProcessor`

### setOutput

    public void setOutput(int pin,
                          SoftAudioBuffer output)

  Specified by:
    `setOutput` in interface `SoftAudioProcessor`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD